Package fr.gouv.vitam.processing.engine.core

# Class ProcessEngineImpl

java.lang.Object
fr.gouv.vitam.processing.engine.core.ProcessEngineImpl

All Implemented Interfaces:
  `ProcessEngine`

public class ProcessEngineImpl extends Object implements ProcessEngine
ProcessEngineImpl class manages the context and call a process distributor

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessEngineImpl(WorkerParameters workerParameters, ProcessDistributor processDistributor, LogbookOperationsClientFactory logbookOperationsClientFactory, WorkspaceClientFactory workspaceClientFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setStateMachineCallback(IEventsProcessEngine stateMachineCallback)`
  Set the state machine where the ProcessEngine return response on complete or on error
  `CompletableFuture<ItemStatus>`
  `start(ProcessStep step, WorkerParameters workerParameters)`
  Start the execution of the given step

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProcessEngineImpl

    public ProcessEngineImpl(WorkerParameters workerParameters, ProcessDistributor processDistributor, LogbookOperationsClientFactory logbookOperationsClientFactory, WorkspaceClientFactory workspaceClientFactory)

- ## Method Details

  - ### setStateMachineCallback

    public void setStateMachineCallback(IEventsProcessEngine stateMachineCallback)
    Description copied from interface: `ProcessEngine`
    Set the state machine where the ProcessEngine return response on complete or on error
    Specified by:
      `setStateMachineCallback` in interface `ProcessEngine`
    Parameters:
      `stateMachineCallback` -

  - ### start

    public CompletableFuture<ItemStatus> start(ProcessStep step, WorkerParameters workerParameters) throws ProcessingEngineException
    Description copied from interface: `ProcessEngine`
    Start the execution of the given step
    Specified by:
      `start` in interface `ProcessEngine`
    Parameters:
      `step` - the ProcessStep object
      `workerParameters` - the worker parameters
    Returns:
    Throws:
      `ProcessingEngineException` - thrown if step could not be started